/*
 *	premiere scene pour le projet "Altitude"
 *		nouveau 9 fevrier 2022 - rue Ernest Renan
 */


#version 3.7;

global_settings {
		ambient_light rgb <0.02, 0.07, 0.03>
		assumed_gamma 1.0
		}

#include  "colors.inc"
#include  "macros.inc"
#include  "common.inc"
#include  "reperes.inc"

/* ---------------------------------------------------- */

#include "WS/nbimg.inc"
#declare NormClock = clock/NbImg;

height_field {
        pgm "relief.pgm" 
        smooth    // on
	pigment {
		image_map { png "WS/the_color_map.png" }
		rotate x*90
		}
	finish { specular 0 }

        translate <-0.5, 0, -0.5>
        scale  <19, 1.77, 10>
	// rotate -x*20
	translate y*0.15
       }

/* ---------------------------------------------------- */

object { Le_Sol }
// object { Repere  scale 2 translate y*2 }

sphere { 0, 50 pigment { color Gray10 } }

// #include  "reperes.inc"
// object { Repere scale 2 translate y*2 }

light_source { < 19, 13,   21>  color Gray60     }
light_source { < 22,  8,  -19>  color Gray40     }
light_source { <-22, 11,  -29>  color Gray60     }

#declare ECAM = 11.0;
#declare LOCX = 1.1;
#declare LOCY = 42 - (38.5*Cos_01(NormClock));
#declare LOCZ = -ECAM * cos(NormClock);

#declare AngleCam = 14 + (88*NormClock);

#fopen  LOG "WS/log.colormap" append
#write (LOG, clock, " ", LOCY, " ", AngleCam, "\n")
#fclose LOG


camera	{
	spherical
	location	<LOCX, LOCY, LOCZ>
	look_at		< 0, 1.0, 0>
	angle		AngleCam
	}

/* ---------------------------------------------------- */
